## START: Set by rpmautospec
## (rpmautospec version 0.3.0)
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by go2rpm 1.6.0
%bcond_without check

# https://github.com/schollz/croc
%global goipath         github.com/schollz/croc
Version:                9.5.2

%gometa

%global common_description %{expand:
croc is a tool that allows any two computers to simply and securely transfer
files and folders.}

%global golicenses      LICENSE
%global godocs          README.md

Name:           %{goname}
Release:        %autorelease
Summary:        Easily and securely send things from one computer to another

License:        MIT
URL:            %{gourl}
Source0:        %{gosource}
# Drop shebang for bash completion
Patch0:         %{gourl}/pull/462.patch

BuildRequires:  systemd-rpm-macros

%description
%{common_description}

%package -n     croc
Summary:        %{summary}
%description -n croc
%{common_description}

%gopkg

%prep
%goprep
%autopatch -p1

%generate_buildrequires
%go_generate_buildrequires

%build
%gobuild -o %{gobuilddir}/bin/croc %{goipath}

%install
%gopkginstall
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

install -Dpm0644 -t %{buildroot}%{_unitdir} croc.service
install -Dpm0644 src/install/bash_autocomplete \
                 %{buildroot}%{_datadir}/bash-completion/completions/croc
install -Dpm0644 src/install/zsh_autocomplete \
                 %{buildroot}%{_datadir}/zsh/site-functions/_croc

%if %{with check}
%check
# disable tests that require internet access
rm src/utils/utils_test.go
%gocheck
%endif

%post
%systemd_post croc.service

%preun
%systemd_preun croc.service

%postun
%systemd_postun_with_restart croc.service

%files -n croc
%license LICENSE
%doc README.md
%{_bindir}/*
%dir %{_datadir}/bash-completion
%dir %{_datadir}/bash-completion/completions
%{_datadir}/bash-completion/completions/croc
%dir %{_datadir}/zsh
%dir %{_datadir}/zsh/site-functions
%{_datadir}/zsh/site-functions/_croc
%{_unitdir}/croc.service

%gopkgfiles

%changelog
* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 9.5.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jul 19 2022 Maxwell G <gotmax@e.email> 9.5.2-2
- Rebuild for
  CVE-2022-{1705,32148,30631,30633,28131,30635,30632,30630,1962} in golang

* Wed Mar 02 2022 Davide Cavalca <dcavalca@fedoraproject.org> 9.5.2-1
- Initial import; Fixes: RHBZ#1980196
